<?php
/*
*	@version	0.1.8
*	@author		Ruud Eisinga - www.dev4me.nl
*	@date		2014-07-21
*
*/

require('../../config.php');

// Get id
if(!isset($_POST['banner_id']) OR !is_numeric($_POST['banner_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$banner_id = $_POST['banner_id'];
}
// Load Language file
if(!file_exists(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/wbanner/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php');
}

require_once(WB_PATH."/include/jscalendar/jscalendar-functions.php");

// Include WB admin wrapper script
require_once(WB_PATH.'/framework/class.admin.php');
require_once(WB_PATH.'/framework/functions.php');
include_once('resize_img.php');

// Create Imagedir (/banner is rejected by some add_blockers, use banner inverted
$banner_dir = WB_PATH.MEDIA_DIRECTORY.'/rennab/';
make_dir($banner_dir);

// check website baker platform (with WB 2.7, Admin-Tools were moved out of settings dialogue)
$admintool_link = ADMIN_URL .'/admintools/index.php';
$module_edit_link = ADMIN_URL .'/admintools/tool.php?tool=wbanner';
$admin = new admin('admintools', 'admintools');


// Validate all fields
if($admin->get_post('title') == '') {
	$admin->print_error($MESSAGE['GENERIC']['FILL_IN_ALL'], WB_URL.'/modules/wbanner/modify_banner.php?banner_id='.$banner_id);
} else {
	$title = $admin->add_slashes($admin->get_post('title'));
	$active = $admin->get_post('active');
	$group = $admin->add_slashes($admin->get_post('group'));	
	$url = $admin->add_slashes(ereg_replace("^http://", "", $admin->get_post('url')));
	$alt = $admin->add_slashes($admin->get_post('alt'));	
	$height = $admin->add_slashes($admin->get_post('height'));	
	$width = $admin->add_slashes($admin->get_post('width'));	
	$image = $admin->add_slashes($admin->get_post('image'));	
	$max_c = $admin->add_slashes($admin->get_post('max_click'));	
	$max_d = $admin->add_slashes($admin->get_post('max_display'));	
	$comments = $admin->add_slashes($admin->get_post('comments'));
	$first_date = $admin->add_slashes(jscalendar_to_timestamp($admin->get_post('start_date')));
	$expiry_date = $admin->add_slashes(jscalendar_to_timestamp($admin->get_post('end_date')));
	$modified_when = mktime();
	$modified_by = $admin->get_user_id(); 
	
	// Check if the user uploaded an image or wants to delete one
	if(isset($_FILES['newimage']['tmp_name']) && $_FILES['newimage']['tmp_name'] != '') {
		// Get real filename and set new filename
		$filename = $_FILES['newimage']['name'];
		$path_parts = pathinfo($filename);
		$fileext = strtolower($path_parts['extension']);

		// Make sure the image is a jpg or png file
		if(!($fileext == "jpg" || $fileext == "jpeg" || $fileext == "png" || $fileext == "gif" )) {
			$admin->print_error($MESSAGE['GENERIC']['FILE_TYPES'].' JPG / JPEG / PNG / GIF', ADMIN_URL .'/admintools/tool.php?tool=wbanner');
		}
		// Upload image
		move_uploaded_file($_FILES['newimage']['tmp_name'], $banner_dir.$filename);
		change_mode($banner_dir.$filename);
			
		if (file_exists($banner_dir.$filename)) {
			if ($width > 0 || $height > 0) {
				$rimg=new RESIZEIMAGE($banner_dir.$filename);
				$rimg->resize_limitwh($width,$height,$banner_dir.$filename);
				$rimg->close();
			}
		}
		$image = addslashes(MEDIA_DIRECTORY.'/rennab/'.$filename);
	}
	if(isset($_POST['delete_image']) AND $_POST['delete_image'] != '') {
		if(file_exists(WB_PATH.$image)) {
			unlink(WB_PATH.$image);
		}
		$image = "";
	}
}
$btable = TABLE_PREFIX .'mod_wbanner_banner';

// Update row
$database->query("UPDATE ".$btable." SET 
	name = '$title', group_id = '$group', active = '$active', 
	url = '$url', image = '$image', alt = '$alt', width = '$width', height = '$height',
	first_date = '$first_date', expiry_date = '$expiry_date',
	max_display_count = '$max_d', max_click_count = '$max_c', 
	comments = '$comments', modified_when = '$modified_when', modified_by = '$modified_by' WHERE id = '$banner_id'");

// Check if there is a db error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), WB_URL.'/modules/wbanner/modify_banner.php?banner_id='.$banner_id);
} else {
    $admin->print_success($TEXT['SUCCESS'], $module_edit_link);
}

// Print admin footer
$admin->print_footer();

?>