<?php
/*
*	@version	0.1.8
*	@author		Ruud Eisinga - www.dev4me.nl
*	@date		2014-07-21
*
*/

// Direct access prevention
defined('WB_PATH') OR die(header('Location: ../index.php'));

// Load Language file
if(!file_exists(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/wbanner/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php');
}

// check if backend.css file needs to be included into the <body></body>
if(!method_exists($admin, 'register_backend_modfiles') && file_exists(WB_PATH .'/modules/wbanner/backend.css')) {
	echo '<style type="text/css">';
	include(WB_PATH .'/modules/wbanner/backend.css');
	echo "\n</style>\n";
}

if (!function_exists('showbanner')) {
	load_module(WB_PATH.'/modules/wbanner/snippet');
}
	
// And... action
$admintool_url = ADMIN_URL .'/admintools/index.php';

$btable = TABLE_PREFIX .'mod_wbanner_banner';
$stable = TABLE_PREFIX .'mod_wbanner_stats';
$gtable = TABLE_PREFIX .'mod_wbanner_groups';

function getGroupName ( $group_id ) {
	global $gtable, $database,$WB_TEXT;
	$query_groups = $database->query("SELECT * FROM ".$gtable." where group_id = '$group_id'");
	if ($query_groups && $group = $query_groups->fetchRow()) 
		return $group['group_name'];
	if ($group_id == '0')
		return $WB_TEXT['ANYGROUP'];
	return "<font style='color:red;'>".$WB_TEXT['ERRORGROUP']."</font>";
}

function getStats ( $banner ) {
	global $stable, $database, $WB_TEXT;
	$id = $banner['id'];
	$thismonth = date("Ym");
	$query = $database->query("SELECT * FROM ".$stable." where id = '$id' AND month = '$thismonth'");
	if ($query && $stats = $query->fetchRow()) {
		$rval = "";
		$rval .= ($banner['max_display_count'] > 0 && $banner['max_display_count'] <= $stats['display_count']) ? "<span style=\"color: red;\">":"<span style=\"color: green;\">";
		$rval .= $stats['display_count']."</span> / ";
		$rval .= ($banner['max_click_count'] > 0 && $banner['max_click_count'] <= $stats['click_count']) ? "<span style=\"color: red;\">":"<span style=\"color: green;\">";
		$rval .= $stats['click_count']."</span>";
		return $rval;
	}
	return "- / -";
}

function getAllStats ($banner) {
	global $stable, $database, $WB_TEXT;
	$id = $banner['id'];
	$query = $database->query("SELECT * FROM ".$stable." WHERE id = '$id' ORDER BY month DESC LIMIT 0,12");
	if ($query) {
		$rval = '<h3>'.$WB_TEXT['HISTORY'].'</h3><table class=row_a border=1 cellspacing=0 cellpadding=3>';
		$rval .= '<tr><thead><td width=140>'.$WB_TEXT['MONTH'].'</td><td width=100>'.$WB_TEXT['VIEWS'].'</td><td width=100>'.$WB_TEXT['CLICKS'].'</td><thead></tr>';
		while ($stats = $query->fetchRow()) {
			$rmonth = substr($stats['month'],0,4)." - ".substr($stats['month'],4);
			$rval .= "<tr style=\\'background:white\\'><td>".$rmonth."</td><td>".$stats['display_count']."</td><td>".$stats['click_count']."</td></tr>";
		}
		$rval .= "</table>";
		return $rval;
	}	
	return "";
}
//removes empty entries from the table so they will not be displayed
$database->query("DELETE FROM ".$btable." WHERE name=''");
?>
<script type="text/javascript" src="<?php echo WB_URL; ?>/modules/wbanner/overlib.js"></script>
<script type="text/javascript" src="<?php echo WB_URL; ?>/modules/wbanner/jquery-latest.js"></script>
<script type="text/javascript" src="<?php echo WB_URL; ?>/modules/wbanner/jquery.tablesorter.min.js"></script>
<link rel="stylesheet" href="<?php echo WB_URL; ?>/modules/wbanner/jquery.tablesorter.css" type="text/css"/>
<br />
<small><?php echo $WB_HELP['MAINTIP']; ?></small>
<script type="text/javascript">
$(document).ready(function() 
    { 
        $("#maintable").tablesorter({	
			sortList: [[2,0]],
			headers: {
				0: {sorter: false},
				3: {sorter: false},
				4: {sorter: false},
				7: {sorter: false},
				8: {sorter: false}
			}
			
		}); 
    }
);	
</script>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td valign="top" width="90%" align="right">&nbsp;</td>
	<td valign="top" nowrap="nowrap" width="2%" align="right">
		<button class="add" type="button" name="show_stats" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/wbanner/stats.php';"><?php echo $WB_TEXT['STATS']; ?></button>	
	</td>
	<td valign="top" nowrap="nowrap" width="2%" align="right">
		<button class="add" type="button" name="add_banner" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/wbanner/add_banner.php';"><?php echo $WB_TEXT['ADDBANNER']; ?></button>	
	</td>
</table>
<table class="row_a" cellpadding="0" cellspacing="0" border="0" width="100%"><h2><?php echo $WB_TEXT['MODBANNER']; ?></h2>
<?php
$query_banners = $database->query("SELECT * FROM ".$btable."");
if ($query_banners ) {
	$num_banners = $query_banners->numRows();
	if($num_banners > 0) {
		?>
		<table id="maintable" class="tablesorter" border="0" cellspacing="0" cellpadding="3" width="100%">
		<thead>
			<tr>
				<th width="10"></td>
				<th ><?php echo $WB_TEXT['BANNER']; ?></td>
				<th ><?php echo $WB_TEXT['GROUP']; ?></td>
				<th width="90"><?php echo $WB_TEXT['MAXIC']; ?></td>
				<th width="90"><?php echo $WB_TEXT['STATS']; ?></td>
				<th width="90"><?php echo $WB_TEXT['FIRSTDATE']; ?></td>
				<th width="90"><?php echo $WB_TEXT['LASTDATE']; ?></td>
				<th width="30"><?php echo $WB_TEXT['ACTIVE']; ?></td>
				<th width="20"></td>
			</tr>
		</thead>
		<tbody>
		<?php
		while($banner = $query_banners->fetchRow()) {
			$warning = "";
			if ($banner['url'] == "") $warning .= "<font size=1 color=red> [NO url!!]</font>";
			if ($banner['image'] == "") $warning .= "<font size=1 color=red> [NO image!!]</font>";
			$comments = str_replace(array("\r\n", "\n", "\r"), '<br />', $banner['comments']);
			$om = ' onmouseover="overlib(\'<img src=\\\''.WB_URL.$banner['image'].'\\\'><br/><br/><strong>http://'.$banner['url'].'</strong>\',WIDTH,10,VAUTO,HAUTO)" onmouseout="nd()"';
			$st = ' onmouseover="overlib(\''.getAllStats($banner).'\',VAUTO,WIDTH,300)" onmouseout="nd()"';
			?>
					<tr class="row_om_out" onMouseOver="className='row_om_over'" onMouseOut="className='row_om_out'">
						<td>
							<a href="<?php echo WB_URL; ?>/modules/wbanner/modify_banner.php?banner_id=<?php echo $banner['id']?>" title="<?php echo $WB_TEXT['MODBANNER']; ?>">
								<img src="<?php echo ADMIN_URL; ?>/images/modify_16.png" border="0" alt="Modify" /> 
							</a>
						</td>
						<td>
							<a href="<?php echo WB_URL; ?>/modules/wbanner/modify_banner.php?banner_id=<?php echo $banner['id']?>" <?php echo $om ?> >
								<?php echo $banner['name'].$warning; ?>
							</a>
						</td>
						<td>
							<?php echo getGroupName($banner['group_id']); ?>
						</td>
						<td>
							<small><?php echo ($banner['max_display_count']?$banner['max_display_count']:"-")." / ".($banner['max_click_count']?$banner['max_click_count']:"-") ; ?></small>
						</td>
						<td>
							<small><span style="cursor:pointer" <?php echo $st ?>><?php echo getStats($banner); ?></span></small>
							<?php //echo getAllStats($banner); ?>
						</td>

						<td>
							<small><?php echo ($banner['first_date']>0) ? date(DATE_FORMAT, $banner['first_date']): "- -"; ?></small>
						</td>
						<td>
							<small><?php echo ($banner['expiry_date']>0) ? date(DATE_FORMAT, $banner['expiry_date']): "- -"; ?></small>
						</td>
						<td>
							<b><?php if($banner['active'] == 1){ echo '<span style="color: green;">'. $WB_TEXT['YES']. '</span>'; } else { echo '<span style="color: red;">'.$WB_TEXT['NO'].'</span>';  } ?></b>
						</td>
						<td>
							<a href="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php echo WB_URL; ?>/modules/wbanner/delete_banner.php?banner_id=<?php echo $banner['id']?>');" title="<?php echo $WB_TEXT['DELBANNER']; ?>">
								<img src="<?php echo ADMIN_URL; ?>/images/delete_16.png" border="0" alt="X" />
							</a>
						</td>
				</tr>
		<?php
		}
		?>
		</tbody>
		</table>
<?php } ?>	
<?php } else { ?>	
	<tr><td>No Banners found!!</td></tr>
<?php } ?>	


<br />
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td valign="top" width="30%" align="right">
		<button class="add" type="button" name="add_group" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/wbanner/add_group.php';"><?php echo $WB_TEXT['ADDGROUP']; ?></button>	
	</td></tr>
</table>
<table class="row_a" cellpadding="0" cellspacing="0" border="0" width="100%"><h2><?php echo $WB_TEXT['MODGROUP']; ?></h2>
<?php 
$query_groups = $database->query("SELECT * FROM ".$gtable."");
if ($query_groups ) {
	$num_groups = $query_groups->numRows();
	if($num_groups > 0) {
		?>
		<table class="row_a" border="0" cellspacing="0" cellpadding="3" width="100%">
		<tr>
			<thead>
				<td width="20"></td>
				<td width="20"><?php echo $WB_TEXT['GROUPID']; ?></td>
				<td width="140"><?php echo $WB_TEXT['GROUP']; ?></td>
				<td width="20"></td>
			</thead>
		</tr>
		<?php
		while($group = $query_groups->fetchRow()) {
		?>
		<tr class="row_om_out" onMouseOver="className='row_om_over'" onMouseOut="className='row_om_out'">
			<td width="20">
				<a href="<?php echo WB_URL; ?>/modules/wbanner/modify_group.php?group_id=<?php echo $group['group_id']?>" title="<?php echo $WB_TEXT['MODGROUP']; ?>">
				<img src="<?php echo ADMIN_URL; ?>/images/modify_16.png" border="0" alt="Modify" /> 
				</a>
			</td>
			<td>
				<?php echo $group['group_id']; ?>
			</td>
			<td width="140">
				<a href="<?php echo WB_URL; ?>/modules/wbanner/modify_group.php?group_id=<?php echo $group['group_id']?>">
				<?php echo $group['group_name']; ?>
				</a>
			</td>
			</td>
			<td width="20">
				<a href="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php echo WB_URL; ?>/modules/wbanner/delete_group.php?group_id=<?php echo $group['group_id']?>');" title="<?php echo $WB_TEXT['DELGROUP']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/delete_16.png" border="0" alt="X" />
				</a>
			</td>
		</tr>
		<?php
		}
	}
} ?>
</table>
